com.unitech.stuhfl

## Class STUHFL_T_Gb29768_Kill

- java.lang.Object
- - com.unitech.stuhflBridge.BR_Gb29768_Kill
  - - com.unitech.stuhfl.STUHFL_T_Gb29768_Kill

-     public class STUHFL_T_Gb29768_Kill
      extends BR_Gb29768_Kill

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_Gb29768_Kill

      `BR_Gb29768_Kill.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `pwd`
    `short` | `recom` < I Param: RFU.
    `short` | `rfu` < I Param: Password.
    `short` | `tagReply` < I Param: RFU.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_Gb29768_Kill()`
    `STUHFL_T_Gb29768_Kill(byte[] pwd, short rfu, short recom, short tagReply)`
    `STUHFL_T_Gb29768_Kill(STUHFL_T_Gb29768_Kill other)` < O Param: Tag reply.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `execute()` Perform Gb29768 Kill command to kill transponders.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_Gb29768_Kill

      `_Exec`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pwd

          public byte[] pwd

    - #### rfu

          public short rfu

      < I Param: Password.

    - #### recom

          public short recom

      < I Param: RFU.

    - #### tagReply

          public short tagReply

      < I Param: RFU.

  - ### Constructor Detail

    - #### STUHFL_T_Gb29768_Kill

          public STUHFL_T_Gb29768_Kill(STUHFL_T_Gb29768_Kill other)

      < O Param: Tag reply.

    - #### STUHFL_T_Gb29768_Kill

          public STUHFL_T_Gb29768_Kill(byte[] pwd,
                                       short rfu,
                                       short recom,
                                       short tagReply)

    - #### STUHFL_T_Gb29768_Kill

          public STUHFL_T_Gb29768_Kill()

  - ### Method Detail

    - #### execute

          public STUHFL_E.RET_CODE execute()

      Perform Gb29768 Kill command to kill transponders. NOTE: After this command the transponders will not be functional anymore
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`